Main Page Class Hierarchy Compound List File List Compound Members

# EMF::EMRMODIFYWORLDTRANSFORM Class Reference

EMF Modify World Transform. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRMODIFYWORLDTRANSFORM::

List of all members.

## Public Methods
| EMRMODIFYWORLDTRANSFORM (const XFORM *transform, DWORD mode)
| EMRMODIFYWORLDTRANSFORM (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *, HDC dc) const

## Detailed Description

EMF Modify World Transform.

Enhanced metafiles have a Coordinate Transformation which allows the contents to be rotated and transformed. Does not appear to work properly in StarOffice (but it's also possible I don't understand how it's supposed to work either).

## Constructor & Destructor Documentation

EMF::EMRMODIFYWORLDTRANSFORM::EMRMODIFYWORLDTRANSFORM ( | const XFORM * transform,
| DWORD mode )`[inline]`

  | Parameters:
  transform | the transformation to apply
  mode | the mode of the transformation application (namely, pre- or post-multiply)

EMF::EMRMODIFYWORLDTRANSFORM::EMRMODIFYWORLDTRANSFORM ( | DATASTREAM & ds )`[inline]`

  | Construct a ModifyWorldTransform from the input datastream. Parameters:
  fp | Metafile file handle.

## Member Function Documentation

void EMF::EMRMODIFYWORLDTRANSFORM::execute ( | METAFILEDEVICECONTEXT * source,
| HDC dc ) const`[inline, virtual]`

  | Execute this record in the context of the given device context. Parameters:
  source | the device context from which this record is taken.
  dc | device context for execute.
Reimplemented from EMF::METARECORD.

bool EMF::EMRMODIFYWORLDTRANSFORM::serialize ( | DATASTREAM ds )`[inline, virtual]`

  | Parameters:
  fp | Metafile file handle.
Reimplemented from EMF::METARECORD.

int EMF::EMRMODIFYWORLDTRANSFORM::size ( | void ) const`[inline, virtual]`

| Internally computed size of this record. Reimplemented from EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h